%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-pefile
# upstream version embeds a dash, we replace this with an underscore:
Version:        1.2.10_114
Release:        1%{?dist}
Summary:        Python module for working with Portable Executable files

Group:          Development/Languages
License:        MIT
URL:            http://code.google.com/p/pefile/
Source0:        http://pefile.googlecode.com/files/pefile-1.2.10-114.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
pefile is a platform-independent Python module for reading and working with
Portable Executable (aka PE) files, most commonly known as .exe and .dll files.

%prep
%setup -q -n pefile-1.2.10-114

# Fix end-of-line encoding of the license file:
%{__sed} -i 's/\r//' COPYING

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES_up_to_1.2.6 COPYING README
%{python_sitelib}/*


%changelog
* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_114-1
* Version: 1.2.10-114
	Changes since previous release:

	Added sanity checks for invalid relocation information. VirtualAddress
	and SizeOfBlock are checked against a wide boundary that should never
	surpass (SizeOfImage)
	Merged the patch from  Issue 32  (and fixed some problems with it) regarding mmap files left open on Python 2.5.x

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-111
	Changes since previous release:

	Fixed  Issue 10  and  Issue 29  (related) by also parsing strings for stringfileinfo_struct.Type=0 in addition of Type=1
	Fixed  Issue 26  as suggested by catching early parsing errors with a try in the PE constructor
	Fixed  Issue 30  parsing 64-bit PE32+ imports
	As pointed out by Pedram Amini removed a warning about WRITE and EXECUTE flags set for a section if the section name is
		'PAGE' and the PE is a driver. In drivers such combination is legitimate
	10 and  Issue 29  to also handle the VarFileInfo structure

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-107
	Changes since previous release:

	Fixed  Issue 27 
	Enhanced the processing of files with uncommon combinations of FileAligment and PointerToRawData values
	As suggested in  Issue 26  a close() method was added that closes the mmap of the file
	Added a check for zero-length files. A PEFormatError is now raised on those ( Issue 25 )
	Fixed a couple of small bugs in the parsing of resources
	The parsing of the resources' version strings had a small flaw where one character outside the range was not caught

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-102
	Added a (high) hard-coded limit to the number of directory entries to process. Some specially crafted directories could lead to long processing times

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-100
	Added additional check in the resources string parser to avoid some crashes
	Added Ange Albertini's patch to provide more helpful error messages when pefile meets NE/LE/LX files and ZM (as opposed to MZ) files.
		The PEFormatError() exception raised will inform about the type of file

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-96
	Fixed  Issue 12 , there was a bug calculating the offset to the VS_VERSIONINFO structure that would manifest in some files
	Added a method to peutils to scan for PEiD signatures in user-provided raw data as opposed to only allowing pefile.PE() instances,
		it comes handy when feeding data from other tools like IDA
	Improved handling of cases of unorthodox, although valid, FileAlignment and SectionAlignment values and combinations of those.
		It turns out that they have to be in certain relation for some value ranges
	Fixed  Issue 24 

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-93
	Added Ange Albertini's concept code to parse the strings contained in the resources directory. They will now be displayed when
		calling the dump_info() method. If an entry in the resources directory contains strings they will be accessible through
		entry.directory.strings . Also it's possible to retrieve at once all strings found by calling the PE instance's method
		get_resources_strings() which will return a list with all strings found or an list string if none are found or the file has no resources directory
	Added Ange Albertini's patch to fix some crashes parsing the resources

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-91
	Fixed a bug parsing small invalid PE files where the proper exception (PEFormatError) would not be raised and instead pefile would crash
	Fixed  Issue 22 . Some PE files reconstructed from memory dumps contained invalid export entries that led to a crash. Invalid entries are not properly ignored
	Added a new method get_overlay_data_start_offset(). It will return the offset where data starts that it is not described by the PE headers.
		Commonly referred to as overlay data. If there's no overlay data the method will simply return EOF offset
	Added a new method get_overlay() which will return the data appended to the file and not contained within the area described in the headers
	Added a new method trim() which will return the just data defined by the PE headers, removing any overlay data

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-89
	Small fix to be able to retrieve strings outside section boundaries i.e., when a packer keeps strings overlapping headers or in overlays
	Implemented fixes for sections at unaligned raw offsets. As pointed out by Ange Albertini if those offsets are smaller than the
		FileAlignment they are rounded to 0 by the Windows loader. pefile now emulates such behavior

* Thu Apr 05 2012 Lawrence R. Rogers <lrr@cert.org> - 1.2.10_111-1
* Version: 1.2.10-85
	mmap is now used to not load into memory the whole file unless working with it requires it. This should enable pefile to parse much larger
		images in systems with limited memory
	Thanks to the patch provided by the user mzibricky, pefile should now run in Python 2.2
	Improved handling of flags. Now section flags can be set by directly assigning to the convenience attributes, i.e.
		(pe.sections[0].IMAGE_SCN_MEM_EXECUTE = True) and the changes will be propagated to the section Characteristics field

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.10_63-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10_63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  8 2009 David Malcolm <dmalcolm@redhat.com> - 1.2.10_63-1
- initial packaging

